---
title: CSSMathInvert
slug: Web/API/CSSMathInvert
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathInvert
  - CSSNumericValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMathInvert</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents a CSS {{CSSXref('calc()','calc()')}} used as <code>calc(1 / &lt;value&gt;).</code> It inherits properties and methods from its parent {{domxref('CSSNumericValue')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSMathInvert.CSSMathInvert()")}}</dt>
 <dd>Creates a new <code>CSSMathInvert</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSMathInvert.value')}}{{ReadOnlyInline}}</dt>
 <dd>Returns a {{domxref('CSSNumericValue')}} object.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#cssmathinvert','CSSMathInvert')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathInvert")}}</p>
